#!/bin/sh
if [ -z "$APPDIR" ]; then
    APPDIR=`dirname "$0"`
    APPDIR=`readlink -e "$APPDIR"`
fi
export LD_LIBRARY_PATH="$APPDIR/lib${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}"
export PYTHONPATH="$APPDIR"/lib/python2.7
export XDG_DATA_HOME="$APPDIR"/share
export XDG_DATA_DIRS="$APPDIR/share${XDG_DATA_DIRS:+:$XDG_DATA_DIRS}"
export FONTCONFIG_PATH="$APPDIR"/share/fonts
export GDK_PIXBUF_MODULE_FILE=`mktemp`
export PULSE_COOKIE=`mktemp`
trap "rm -f $GDK_PIXBUF_MODULE_FILE $PULSE_COOKIE" EXIT
printf `xprop -root PULSE_COOKIE | cut -d '"' -f 2 | sed "s/\(..\)/\\\\\\x\1/g"` > $PULSE_COOKIE
export PULSE_SERVER=`xprop -root PULSE_SERVER | cut -d '"' -f 2 | cut -d '}' -f 2`
cp "$APPDIR"/lib/loaders.cache $GDK_PIXBUF_MODULE_FILE
LOADERDIR=`grep LoaderDir $GDK_PIXBUF_MODULE_FILE | sed 's/.* = //'`
sed -i "s;$LOADERDIR;$APPDIR/lib;" $GDK_PIXBUF_MODULE_FILE
export GI_TYPELIB_PATH="$APPDIR"/lib/girepository-1.0
export GSETTINGS_SCHEMA_DIR="$APPDIR/share/glib-2.0/schemas${GSETTINGS_SCHEMA_DIR:+:$GSETTINGS_SCHEMA_DIR}"
export GTK_PATH="$APPDIR"/lib/gtk-3.0

# Currently we change into the APPDIR directory, this only because of gdk-pixbuf
# and pango cache files which need to specify relative paths.
cd "$APPDIR"

# Check dependencies are met, to avoid cryptic error messages
ERRORS=`ldd ./spicy | sort -u | grep "not found"`
if [ -n "$ERRORS" ]; then
    echo "*************************************************"
    echo "WARNING!!! There are missing dependencies:"
    echo "*************************************************"
    echo "$ERRORS"
fi

./python2.7 ./flexvdi_launcher.pyc "$@"
